<?php


namespace App\ViewModels\Agenda\AgendaUpdateViewModel;

use App\Utils\Builder;

class AgendaUpdateViewModelBuilder implements Builder
{

    protected $id_tipo_procedimento;
    protected $alterado_por;

    public function setIdTipoProcedimento(?int $id_tipo_procedimento): AgendaUpdateViewModelBuilder
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
        return $this;
    }

    public function setAlteradoPor(?int $alterado_por): AgendaUpdateViewModelBuilder
    {
        $this->alterado_por = $alterado_por;
        return $this;
    }

    public function build() : AgendaUpdateViewModel
    {
        $agenda_update_vm = new AgendaUpdateViewModel();
        $agenda_update_vm->setidtipoprocedimento($this->id_tipo_procedimento);
        $agenda_update_vm->setalteradopor($this->alterado_por);
        return $agenda_update_vm;
    }


}